Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006141 [JEDI VCL] 00 JVCL Components major always 2013-05-15 17:28 2015-09-14 13:20
Reporter wildwolf View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.45
Summary 0006141: TJvDBGrid block with multiple select.
Description If in a grid you select elments using multiple selections and pressing shift key, and after the selection you remove the last elment you selected and with the shift pressed you make a new selection the grid block.
In the TJvDBGrid.MouseDown procedure from line 2540 to line 2560 there are 2 while loops that test bookmarks, but they never test if the loop reached the top or the bottom of the grid.
Additional Information Attached a sample project.
Tags No tags attached.
Attached Files zip file icon Test.zip [^] (4,640 bytes) 2013-05-15 17:28

- Relationships

-  Notes
(0020816)
obones (administrator)
2013-12-13 14:01

This is now fixed in GIT

- Issue History
Date Modified Username Field Change
2013-05-15 17:28 wildwolf New Issue
2013-05-15 17:28 wildwolf File Added: Test.zip
2013-12-13 10:54 obones Status new => acknowledged
2013-12-13 14:01 obones Note Added: 0020816
2013-12-13 14:01 obones Status acknowledged => resolved
2013-12-13 14:01 obones Fixed in Version => Daily / GIT
2013-12-13 14:01 obones Resolution open => fixed
2013-12-13 14:01 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker